<?php

namespace App\Services;

class SmsService
{

    public function __construct()
    {
    }

    public static function send_sms($mobile, $msg)
    {
        if (env("SMS_GATEWAY") == "twilio") {
            $t = new TwilioService();
            return $t->send_sms($mobile, $msg);
        }

        if (env("SMS_GATEWAY") == "termi") {
            $tm = new TermiService();
            return $tm->send_sms($mobile, $msg);
        }
    }
}
